/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.fieldplan.model;

import nl.cloudfarming.client.field.model.Field;
import nl.cloudfarming.client.field.model.PartField;

/**
 *
 * @author Gerben Feenstra
 */
public class FieldUtil {

    public static PartField fieldToPartField(Field field){
        PartField partField = new PartField();  
        partField.setAreaInHectares(field.getAreaInHectares());
        partField.setEndDate(field.getEndDate());
        partField.setStartDate(field.getStartDate());
        partField.setGeometry(field.getGeometry());
        partField.setName("PartField-"+field.getName());
        return partField;
    }
}
